Get pull requests
curl --request POST \
--url https://api.replicas.dev/v1/replica/{id}/pull-requests/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pr_urls": [
"<string>"
]
}
'import requests
url = "https://api.replicas.dev/v1/replica/{id}/pull-requests/details"
payload = { "pr_urls": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pr_urls: ['<string>']})
};
fetch('https://api.replicas.dev/v1/replica/{id}/pull-requests/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pull_requests": [
{
"url": "<string>",
"details": {
"url": "<string>",
"repo_name": "<string>",
"owner": "<string>",
"repo": "<string>",
"number": 123,
"title": "<string>",
"state": "open",
"author_login": "<string>",
"head_branch": "<string>",
"base_branch": "<string>",
"stack": {
"number": 123,
"size": 123,
"position": 2,
"base_branch": "<string>"
},
"mergeability": "mergeable",
"ci_status": "success",
"additions": 123,
"deletions": 123,
"changed_files": 123,
"comment_count": 123,
"checks": {
"total": 123,
"passing": 123,
"failing": 123,
"pending": 123
},
"can_approve": true,
"updated_at": "2023-11-07T05:31:56Z",
"check_items": [
{
"name": "<string>",
"status": "success",
"status_label": "<string>",
"description": "<string>",
"url": "<string>"
}
],
"merge_blockers": [
"review_required"
]
},
"error": "<string>"
}
]
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Pull requests
Get pull requests
Returns state, checks, reviews, and mergeability for up to 20 pull requests the replica opened. Get URLs from Get replica.
POST
/
v1
/
replica
/
{id}
/
pull-requests
/
details
Get pull requests
Authorizations
Organization or personal API key from Settings → API Keys.
Headers
API version. 2026-10-07 returns snake_case responses. See versioning.
Available options:
2026-10-07 Path Parameters
Replica ID
Body
application/json
Maximum array length:
20Response
Success
Show child attributes
Show child attributes
⌘I